%global python3_pkgversion 3.12
%global __python3 /usr/bin/python3.12
%global pypi_name opentelemetry_instrumentation_django

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        0.48b0
Release:        3%{?dist}
Summary:        OpenTelemetry Instrumentation for Django

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://github.com/open-telemetry/opentelemetry-python-contrib/tree/main/instrumentation/opentelemetry-instrumentation-django
Source:         https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-hatchling
BuildRequires:  python%{python3_pkgversion}-tomli

Requires:  python%{python3_pkgversion}-opentelemetry_api >= 1.12
Requires:  python%{python3_pkgversion}-opentelemetry_api < 2
Requires:  python%{python3_pkgversion}-opentelemetry_instrumentation = %{version}
Requires:  python%{python3_pkgversion}-opentelemetry_instrumentation_wsgi = %{version}
Requires:  python%{python3_pkgversion}-opentelemetry_semantic_conventions = %{version}
Requires:  python%{python3_pkgversion}-opentelemetry_util_http = %{version}

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Obsoletes:      python3.11-%{pypi_name} < %{version}-%{release}

%description
%{summary}

%prep
set -ex
%autosetup -n %{pypi_name}-%{version}


%build
set -ex
%pyproject_wheel


%install
set -ex
%pyproject_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/opentelemetry/instrumentation/django/
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/


%changelog
* Wed Apr 09 2025 Odilon Sousa <osousa@redhat.com> - 0.48b0-3
- Add obsoletes for python3.11 package

* Tue Apr 01 2025 Odilon Sousa <osousa@redhat.com> - 0.48b0-2
- Rebuild against python3.12

* Sun Sep 29 2024 Foreman Packaging Automation <packaging@theforeman.org> - 0.48b0-1
- Update to 0.48b0

* Tue Sep 17 2024 Odilon Sousa <osousa@redhat.com> - 0.44b0-2
- Update requirements with macro %version to match all opentelemetry packages

* Mon Sep 16 2024 Foreman Packaging Automation <packaging@theforeman.org> - 0.44b0-1
- Update to 0.44b0

* Fri Nov 17 2023 Odilon Sousa <osousa@redhat.com> - 0.40b0-4
- Obsolete python39 packages for a smooth upgrade

* Sat Nov 11 2023 Odilon Sousa <osousa@redhat.com> - 0.40b0-3
- Build against python 3.11

* Tue Aug 08 2023 Odilon Sousa <osousa@redhat.com> - 0.40b0-2
- Update opentelemetry dependency names

* Wed Jul 26 2023 Odilon Sousa - 0.40b0-1
- Initial package.
